> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ideation Snapshots

> List all version snapshots for an ideation.



## OpenAPI

````yaml /openapi.json get /api/v1/ideations/{ideation_id}/snapshots
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/ideations/{ideation_id}/snapshots:
    get:
      tags:
        - ideations
      summary: List Ideation Snapshots
      description: List all version snapshots for an ideation.
      operationId: list_ideation_snapshots_api_v1_ideations__ideation_id__snapshots_get
      parameters:
        - in: path
          name: ideation_id
          required: true
          schema:
            title: Ideation Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/IdeationSnapshotSummary'
                title: >-
                  Response List Ideation Snapshots Api V1 Ideations  Ideation
                  Id  Snapshots Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    IdeationSnapshotSummary:
      description: Lightweight snapshot summary for listing.
      properties:
        complexity:
          anyOf:
            - type: string
            - type: 'null'
          title: Complexity
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        id:
          title: Id
          type: string
        title:
          title: Title
          type: string
        version:
          title: Version
          type: integer
      required:
        - id
        - version
        - title
        - complexity
        - created_by
        - created_at
      title: IdeationSnapshotSummary
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````